Skip to content

Get the list of permissions for user-specified resources

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of permissions for user-specified resources. Users get the list of permissions for specified resources under a certain application.

Method name

AuthenticationClient.getUserAuthResourcePermissionList

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
resourcesstring[]Yes-Data resource path list, Tree resources need to go to specific tree nodes["strResourceCode","arrResourceCode","treeResourceCode/StructCode1/resourceStructChildrenCode1"]

Request response

Type: GetUserAuthResourcePermissionListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetUserAuthResourcePermissionListDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "permissionList": {
      "namespaceCode": "examplePermissionNamespace",
      "actions": "[\"get\",\"read\",\"write\",\"delete\"]",
      "resource": "treeResourceCode1"
    }
  }
}

Data structure

GetUserAuthResourcePermissionListDataDto

NameTypeRequiredDescriptionSample value
permissionListarrayYesPermission list Nested type: <a GetUserAuthResourcePermissionList.

GetUserAuthResourcePermissionList

NameTypeIs it required?DescriptionExample value
namespaceCodestringYesCurrent application IDexamplePermissionNamespace
actionsarrayYesData resource permission operation list["get","read","write","delete"]
resourcestringYesData resource pathtreeResourceCode1

Agent infrastructure for identity, memory, and web action.